diff -rud --new-file xv-3.10a/Makefile xv-3.10a-new/Makefile
--- xv-3.10a/Makefile	Sat Apr 15 12:24:14 2000
+++ xv-3.10a-new/Makefile	Sat Apr 15 12:22:50 2000
@@ -1,8 +1,8 @@
 # Makefile for xv
 
 # your C compiler (and options) of choice
-CC = cc
-# CC = gcc -ansi
+#CC = cc
+CC = gcc -ansi
 
 # use this if you're using 'cc' on a DEC Alpha (OSF/1) or MIPS (Ultrix) system:
 # CC = cc -std1 -Olimit 750
@@ -14,7 +14,7 @@
 #       -Wuninitialized -Wparentheses
 
 
-CCOPTS = -O 
+CCOPTS = -O2 -L/usr/X11R6/lib -D_BSD_SOURCE
 
 
 ### NOTE: Sun running OpenWindows:
@@ -28,10 +28,10 @@
 
 
 ### Installation locations
-BINDIR = /usr/local/bin
-MANDIR = /usr/local/man/man1
+BINDIR = /usr/X11R6/bin
+MANDIR = /usr/man/man1
 MANSUF = 1
-LIBDIR = /usr/local/lib
+LIBDIR = /usr/lib
 
 
 buildit: all
@@ -46,13 +46,13 @@
 ### on your machine, *COMMENT OUT* the following lines
 ###
 JPEG    = -DDOJPEG
-JPEGDIR = jpeg
-JPEGINC = -I$(JPEGDIR)
-JPEGLIB = $(JPEGDIR)/libjpeg.a
-$(JPEGDIR)/jconfig.h:
-	cd $(JPEGDIR) ; ./configure CC='$(CC)'
-$(JPEGLIB):  $(JPEGDIR)/jconfig.h
-	cd $(JPEGDIR) ; make
+#JPEGDIR = jpeg
+#JPEGINC = -I$(JPEGDIR)
+JPEGLIB = -ljpeg
+#$(JPEGDIR)/jconfig.h:
+	#cd $(JPEGDIR) ; ./configure CC='$(CC)'
+#$(JPEGLIB):  $(JPEGDIR)/jconfig.h
+	#cd $(JPEGDIR) ; make
 
 
 ###
@@ -60,31 +60,33 @@
 ### on your machine, *COMMENT OUT* the following lines
 ###
 PNG    = -DDOPNG
-PNGDIR = /usr/local/src/libpng
-PNGINC = -I$(PNGDIR)
-PNGLIB = -L$(PNGDIR) -lpng
+PNGLIB = -lpng
 
 
 ###
 ### if, for whatever reason, you're unable to get the PNG library to compile
 ### on your machine, *COMMENT OUT* the following lines
 ###
-ZLIBDIR = /usr/local/src/zlib
-ZLIBINC = -I$(ZLIBDIR)
-ZLIBLIB = -L$(ZLIBDIR) -lz
+#ZLIBDIR = /usr/local/src/zlib
+#ZLIBINC = -I$(ZLIBDIR)
+#ZLIBLIB = -L$(ZLIBDIR) -lz
+
+ZLIBLIB = -lz
 
 
 ###
 ### if, for whatever reason, you're unable to get the TIFF library to compile
 ### on your machine, *COMMENT OUT* the following lines
 ###
-TIFF    = -DDOTIFF
-TIFFDIR = tiff
-TIFFINC = -I$(TIFFDIR)
-TIFFLIB = $(TIFFDIR)/libtiff.a
-$(TIFFLIB):
-	( cd $(TIFFDIR) ; make CC='$(CC)' )
+#TIFF    = -DDOTIFF
+#TIFFDIR = tiff
+#TIFFINC = -I$(TIFFDIR)
+#TIFFLIB = $(TIFFDIR)/libtiff.a
+#$(TIFFLIB):
+#	( cd $(TIFFDIR) ; make CC='$(CC)' )
 
+TIFF    = -DDOTIFF
+TIFFLIB = -ltiff
 
 ###
 ### if, for whatever reason, you're unable to get the PDS/VICAR support
@@ -121,7 +123,7 @@
 
 
 ### for LINUX, uncomment the following line
-#MCHN = -DLINUX
+MCHN = -DLINUX
 
 
 # For SCO 1.1 (UNIX 3.2v2) machines, uncomment the following:
@@ -163,7 +165,7 @@
 
 # if your machine has the usleep() function, uncomment the following line:
 # if it doesn't, or you're not sure, leave this line alone.
-#TIMERS = -DUSLEEP
+TIMERS = -DUSLEEP
 
 
 # if XV locks up whenever you click on *any* of the buttons, the Timer() 
@@ -225,10 +227,10 @@
 
 
 
-all: $(JPEGLIB) $(TIFFLIB) xv bggen vdcomp xcmap xvpictoppm
+all: xv bggen vdcomp xcmap xvpictoppm
 
 
-xv: $(OBJS) $(JPEGLIB) $(TIFFLIB)
+xv: $(OBJS) # $(JPEGLIB) $(TIFFLIB)
 	$(CC) -o xv $(CFLAGS) $(OBJS) $(LIBS)
 
 bggen: bggen.c
diff -rud --new-file xv-3.10a/config.h xv-3.10a-new/config.h
--- xv-3.10a/config.h	Thu Jan  5 16:49:21 1995
+++ xv-3.10a-new/config.h	Sat Apr 15 12:21:43 2000
@@ -13,14 +13,14 @@
  * definition appropriately. (use 'which gunzip' to find if you have gunzip, 
  * and where it lives)
  */
-#undef USE_GUNZIP
+#define USE_GUNZIP
 
 #ifdef USE_GUNZIP
-#  ifdef VMS
-#    define GUNZIP "UNCOMPRESS"
-#  else
-#    define GUNZIP "/usr/local/bin/gunzip -q"
-#  endif
+#ifdef VMS
+#define GUNZIP "UNCOMPRESS"
+#else
+#define GUNZIP "/bin/gunzip -q"
+#endif
 #endif
 
 
@@ -88,9 +88,9 @@
  * should not need to be changed
  */
 
-/* #define GS_PATH "/usr/local/bin/gs" */
-/* #define GS_LIB  "."                 */
-/* #define GS_DEV  "ppmraw"            */
+#define GS_PATH "/usr/bin/gs"
+#define GS_LIB  "." 
+#define GS_DEV  "ppmraw"
 
 
 /***************************************************************************
diff -rud --new-file xv-3.10a/xvps.c xv-3.10a-new/xvps.c
--- xv-3.10a/xvps.c	Sat Apr 15 12:24:14 2000
+++ xv-3.10a-new/xvps.c	Sat Apr 15 12:21:43 2000
@@ -1564,7 +1564,7 @@
   /* build command string */
 
 #ifndef VMS  /* VMS needs quotes around mixed case command lines */
-  sprintf(tmp, "%s -sDEVICE=%s -r%d -q -dNOPAUSE -sOutputFile=%s%%d ",
+  sprintf(tmp, "%s -sDEVICE=%s -r%d -q -dSAFER -dNOPAUSE -sOutputFile=%s%%d ",
 	  GS_PATH, gsDev, gsRes, tmpname);
 #else
   sprintf(tmp, 
